Deactivate Price

View as Markdown
Deactivate an active price.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

price_idstringRequired
account_idstringRequired

Response

Successful Response
idstring
account_idstring
product_idstring
namestring or null
unit_amount_atominteger or null
currencyenum
ISO 4217 currency codes.
is_activeboolean
unit_labelstring or null
pricing_typestring
recurring_intervalstring or null
recurring_interval_countinteger or null
auto_renewboolean or null
contract_term_multipleinteger or null
trial_daysinteger
usage_typestring
metered_idstring or null
billing_schemestring
tier_amount_infoobject or null
Tiered pricing configuration.
prerequisite_price_idslist of strings or null
exclusive_customer_idslist of strings or null
metadatamap from strings to any or null
created_atdatetime
updated_atdatetime
product_namestring or nullOptional
product_descriptionstring or nullOptional
custom_fieldsmap from strings to any or nullOptional

Custom field values. Only included when expand=custom_fields is specified.

quantity_divisorintegerOptionalDefaults to 1
quantity_roundingenumOptional

Rounding mode for fractional billable units in metered pricing.

  • CEIL (default): Round up to next whole unit — for packaged pricing
  • PROPORTIONAL: Keep exact fractions — for percentage-based fees (e.g., 0.65% of volume)
  • FLOOR: Round down to whole unit
  • ROUND: Standard rounding (0.5+ rounds up)

Errors

422
Unprocessable Entity Error